Kollus Player

Kollus Player is required to play contents protected by Kollus Security Pack.
1) Utilizes hardware codec. Software codec will be used in case hardware codec is not supported.
2) Video playing speed control (0.5 to 2.0)
3) Subtitle support(SMI, SRT)
4) IcecreamSandwictch(4.x), JellyBean(4.1.x~4.3.x), KitKat(4.4.x), LolliPop(5.0.x)

Recommended Devices: Vega Racer, Galaxy S3, Galaxy S4 mini, Galaxy Grand, Sony Xperial Tablet Z, Nexus 7 1st generation, Nexus 7 2nd Generation, Galaxy Note 2, Galaxy Note 10.1
Read more
Collapse
2.7
2,250 total
5
4
3
2
1
Loading...

Additional Information

Updated
January 14, 2019
Size
55M
Installs
500,000+
Current Version
1.4.12
Requires Android
4.0.3 and up
Content Rating
Everyone
Permissions
Offered By
Catenoid
©2019 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.